# Rectangle

A Gnome extension to mimic macOS's [Rectangle](https://rectangleapp.com/) tiling.

[<img src="https://raw.githubusercontent.com/andyholmes/gnome-shell-extensions-badge/master/get-it-on-ego.svg?sanitize=true" alt="Get it on GNOME Extensions" height="100" align="middle">][ego]

It allows manual tiling with the following shortcuts:

- Quarter: Top Left: `Super+Ctrl+U`
- Quarter: Top Right: `Super+Ctrl+I`
- Quarter: Bottom Left: `Super+Ctrl+J`
- Quarter: Bottom Right: `Super+Ctrl+K`
- Quarter: Centered: `Super+Ctrl+Alt+C`
- Fourth: First: `Super+Ctrl+V`
- Fourth: Second: `Super+Ctrl+B`
- Fourth: Third: `Super+Ctrl+N`
- Fourth: Fourth: `Super+Ctrl+M`
- Third: First: `Super+Ctrl+D`
- Third: Second: `Super+Ctrl+F`
- Third: Third: `Super+Ctrl+G`
- Sixth: Top Left: `Super+Ctrl+Shift+U`
- Sixth: Top Center: `Super+Ctrl+Shift+I`
- Sixth: Top Right: `Super+Ctrl+Shift+O`
- Sixth: Bottom Left: `Super+Ctrl+Shift+J`
- Sixth: Bottom Center: `Super+Ctrl+Shift+K`
- Sixth: Bottom Right: `Super+Ctrl+Shift+L`
- Ninth: Top Left: `Super+Ctrl+Alt+U`
- Ninth: Top Center: `Super+Ctrl+Alt+I`
- Ninth: Top Right: `Super+Ctrl+Alt+O`
- Ninth: Middle Left: `Super+Ctrl+Alt+J`
- Ninth: Middle Center: `Super+Ctrl+Alt+K`
- Ninth: Middle Right: `Super+Ctrl+Alt+L`
- Ninth: Bottom Left: `Super+Ctrl+Alt+N`
- Ninth: Bottom Center: `Super+Ctrl+Alt+M`
- Ninth: Bottom Right: `Super+Ctrl+Alt+,`
- Half: Center (Vertical): `Super+Ctrl+Shift+C`
- Half: Center (Horizontal): `Super+Ctrl+Shift+V`
- Half: Left: `Super+Ctrl+Left`
- Half: Right: `Super+Ctrl+Right`
- Half: Top: `Super+Ctrl+Up`
- Half: Bottom: `Super+Ctrl+Down`
- Two Thirds: Left: `Super+Ctrl+E`
- Two Thirds: Center: `Super+Ctrl+R`
- Two Thirds: Right: `Super+Ctrl+T`
- Center: `Super+Ctrl+C`
- Maximize: `Super+Ctrl+Return`
- Maximize: Almost: `Super+Ctrl+Shift+Return`
- Maximize: Height: `Super+Ctrl+Shift+Alt+Up`
- Maximize: Width: `Super+Ctrl+Shift+Alt+Right`
- Stretch: Top: `Super+Ctrl+Alt+Up`
- Stretch: Bottom: `Super+Ctrl+Alt+Down`
- Stretch: Left: `Super+Ctrl+Alt+Left`
- Stretch: Right: `Super+Ctrl+Alt+Right`
- Stretch: Step: Bottom Left: `Super+Ctrl+1`
- Stretch: Step: Bottom: `Super+Ctrl+2`
- Stretch: Step: Bottom Right: `Super+Ctrl+3`
- Stretch: Step: Left: `Super+Ctrl+4`
- Stretch: Step: Right: `Super+Ctrl+6`
- Stretch: Step: Top Left: `Super+Ctrl+7`
- Stretch: Step: Top: `Super+Ctrl+8`
- Stretch: Step: Top Right: `Super+Ctrl+9`
- Move: Bottom Left: `Super+Ctrl+Alt+1`
- Move: Bottom: `Super+Ctrl+Alt+2`
- Move: Bottom Right: `Super+Ctrl+Alt+3`
- Move: Left: `Super+Ctrl+Alt+4`
- Move: Right: `Super+Ctrl+Alt+6`
- Move: Top Left: `Super+Ctrl+Alt+7`
- Move: Top: `Super+Ctrl+Alt+8`
- Move: Top Right: `Super+Ctrl+Alt+9`

# Installation 

GNOME 45+:

```bash
git clone https://github.com/acristoffers/gnome-rectangle ~/.local/share/gnome-shell/extensions/rectangle@acristoffers.me
```

GNOME 42/43/44:

```bash
git clone https://github.com/acristoffers/gnome-rectangle -b GNOME42 ~/.local/share/gnome-shell/extensions/rectangle@acristoffers.me
```

[ego]: https://extensions.gnome.org/extension/6553/rectangle
